<html>
<body>
<?php

/* Definition der Klasse fahrzeug */
class fahrzeug
{
   private $geschwindigkeit;

   public function __construct($ge)
   {
      $this->geschwindigkeit = $ge;
   }

   function beschleunigen($wert)
   {
      $this->geschwindigkeit += $wert;
   }

   function ausgabe()
   {
      echo "Geschwindigkeit: $this->geschwindigkeit<br>";
   }
}

/* Definition der abgeleiteten Klasse pkw */
class pkw extends fahrzeug
{
	private $insassen;

	public function __construct($ge, $anz)
	{
		$this->insassen = $anz;
		parent::__construct($ge);
	}

	function einsteigen($anzahl)
	{
		$this->insassen += $anzahl;
	}

	function aussteigen($anzahl)
	{
		$this->insassen -= $anzahl;
	}

	function ausgabe()
	{
		echo "Insassen: $this->insassen ";
		parent::ausgabe();
	}
}

/* Objekt der abgeleiteten Klasse fahrzeug */
$fiat = new pkw(0,0);
$fiat->ausgabe();

$fiat->einsteigen(3);
$fiat->beschleunigen(30);
$fiat->ausgabe();

$fiat->beschleunigen(-30);
$fiat->ausgabe();

$fiat->aussteigen(1);
$fiat->ausgabe();

?>
</body>
</html>
